@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+Georgian:wght@400;600&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html {
    scroll-behavior: smooth;
}

:root {
    --kanis-feri: #ebe6d7;
    --moyavisfro: #78593C;
    --moshavo: black;
    --tetri: #FCFEFE;

}

/* header */

.head-main {
    width: 100%;
    height: 70px;
    background-color: var(--tetri);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 6em;
    position: fixed;
    top: 0;
    z-index: 999;
    transition: top 0.3s ease;
    box-shadow: 0 5px 20px 5px rgba(0, 0, 0, 0.116);
    font-family: 'Noto Serif Georgian', serif;
}


.head-main .logo img {
    width: 100%;
    max-width: 150px;
}

.head-main a {
    text-decoration: none;
}

.head-main .emergency {
    display: flex;
    align-items: center;
    justify-content: center;
}

.emergency .main {
    display: flex;
    gap: 7px;
    padding: 0 0 0 3em;
}

.emergency .main img {
    width: 25px;
    height: auto;
    display: none;
}

.emergency_info, .location_info {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    width: max-content;
    gap: .1em;
}

.main .location_text, .emergency_text {
    color: var(--moshavo);
    font-size: 16px;
    font-weight: 600;
}

.main .location_number, .emergency_number {
    color: var(--moshavo);
    font-size: 16px;
    font-weight: 600;
}

/* nav */

nav {
    width: 100%;
    height: 70px;
    padding: 0 10em;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    top: 70px;
    z-index: 9990;
    background-color: transparent;
    transition: background-color 0.3s ease, top 0.3s ease;
}

.navpc.active {
    background-color: var(--kanis-feri);
}

nav.scrolled {
    background-color: var(--kanis-feri); /* ← შენი ფერია */
}

.head-main.hide {
    top: -80px; /* ზემოთ უკუვდება და ქრება */
}

.navbar {
    width: 30px;
    height: 30px;
    display: none;
}

nav ul {
    list-style-type: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

nav ul li {
    display: inline-block;
    padding-right: 1em;
}

nav ul li a {
    color: black;
    text-decoration: none;
    font-size: 18px;
    transition: 0.4s background;
    font-weight: 500;
    box-shadow: 0 9px 10px 5px rgba(0, 0, 0, 0.100);
    padding: .3em .5em;
    background: #ebe7da;
    border-radius: 30px;
    letter-spacing: .5px;
    font-family: 'Noto Serif Georgian', serif;
}

nav ul li a:hover {
    background: #CCD9EC;
}

nav .padnon {
    padding: 0;
}

nav .button {
    background-color: var(--moshavo);
    padding: 0.4em 1.3em 0.4em 1.3em;
    border-radius: 5em;
    color: var(--tetri);
    box-shadow: 0 9px 10px 5px rgba(0, 0, 0, 0.100);
}

nav .button:hover {
    color: var(--tetri);
}

/* language change */

.course {
    gap: 1em;
}

#relative {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.material-symbols-outlined {
    color: var(--moshavo);
    cursor: pointer;
}

#click-active {
    font-size: 28px;
    user-select: none;
}

#switch-language {
    position: absolute;
    width: 100px;
    height: 120px;
    background-color: var(--kanis-feri);
    display: none;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    right: -40px;
    top: 175.2%;
    gap: 15px;
    padding: 0.3em;
    z-index: 9999;
    border-radius: 0 0 8px 8px;
    transition: background-color 0.3s ease, top 0.3s ease;
}

.remove {
    padding: 0;
}

#switch-language.active {
    display: flex;
}

/* responsive navbar */

@media(max-width: 1270px) {
    .head-main, nav {
        padding: 0 5em 0 5em;
    }
}

@media(max-width: 1110px) {
    .head-main .logo p, .head-main .logo span {
        font-size: 27px;
    }
}

@media(max-width: 1000px) {
    .contact_location {
        display: none;
    }
}


@media(max-width: 1750px) {
    .head-main, nav {
        padding: 0 2em 0 2em;
    }
}

@media(max-width: 1600px) {
    .navbar {
        display: block;
        position: relative;
        cursor: pointer;
    }
    .rela {
        position: absolute;
        width: 100%;
        height: 410px;
        flex-direction: column;
        background-color: var(--kanis-feri);
        top: 100%;
        left: -150%;
        transition: .8s left, 2.5s opacity, 2s box-shadow;
        gap: 25px;
        border-radius: 0 0 10px 0;
        opacity: 0;
    }
    .rela.active {
        left: 0%;
        opacity: 1;
        box-shadow: 3px 5px 25px var(--kanis-feri);
    }
    nav.navpc:has(.rela.active) {
        background-color: var(--kanis-feri);
    }
    nav ul li a {
        font-size: 20px;
    }
    .button {
        font-size: 20px;
    }
    .head-main, nav {
        padding: 0 2em 0 2em;
    }
}